<?php

declare(strict_types=1);

namespace App\Controller;

use App\JsonRpc\CrawlerServiceInterface;
use Hyperf\Di\Annotation\Inject;
use App\Tools\Result;
use Hyperf\Validation\Contract\ValidatorFactoryInterface;


class CollectorController extends AbstractController
{
    #[Inject]
    protected ValidatorFactoryInterface $validationFactory;
    /**
     * @var CrawlerServiceInterface
     */
    #[Inject]
    private $crawlerServiceClient;
    /**
     * @return array
     */
    public function sendCrawler()
    {
        $requireData = $this->request->all();
        $result = $this->crawlerServiceClient->sendCrawler($requireData);

        return $result?Result::success($result['data']):Result::error($result['message']);
    }




}